{% extends 'base.html.twig' %}



{% block title %}
{{car.model}} - {{car.person}}
{% endblock %}

{% block body %}
<div class="col-md-8 offset-md-2">
    <div class="card">
        <img class="card-img-top" src="https://www.driving.co.uk/s3/st-driving-prod/uploads/2018/02/Nissan-S-Cargo.jpg"
            alt="Card image cap">
        <div class="card-body">
            <h1 class="card-title">{{car.model}} - {{car.person}}</h1>
            <p class="card-text">
                Une superbe voiture {{car.color}} de {{car.horsePower}} chevaux. <br>
                Elle roule au {{car.sourcePower}}
            </p>
            <h3 class="text-center">Trajets</h3>
            <div class="row">
                {% for row in car.rides %}
                <div class="col-6 mb-2">
                    <div class="card border border-success">
                        <div class="card-header">
                            {{row.passengerNb}} personnes pour {{row.distance}} kms - {{row.rideTime|date('H:i:s')}}
                        </div>
                        <div class="card-body">
                            <ul>
                                <li>Start : {{row.startAddress}}</li>
                                <li>Stop : {{row.stopAddress}}</li>
                                <li style="list-style-type: none;">
                                    <a href="{{path("add_ride", {"ride": row.id})}}">Edit ride</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                {% endfor %}
            </div>
                <a class="btn btn-block btn-outline-dark" href="{{path("add_ride", {'car': car.id})}}">Add Ride</a>
        </div>
        <div class="card-footer text-muted">
            <div class="text-center">
                <div class="btn-group mb-2" role="group">
                    <a class="btn btn-warning" href="{{path('add_car', { 'car': car.id })}}">Update the car</a>
                    <a class="btn btn-danger" href="{{path('delete_car', { 'car': car.id })}}">Delete the car</a>
                </div>
            </div>
            <a class="btn btn-outline-secondary btn-block" href="{{path('home')}}" role="button">Revenir à l'accueil</a>
        </div>
    </div>
</div>
{% endblock %}